<div class="container content-wrap">
  {{ $text := (index .textMedia.content 0) }}
  {{ $media := (index .textMedia.media 0) }}

  <div class="
    text-media
    {{ with .textMedia.gallery }} has-gallery {{ end }}
    {{ with .textMedia.reverse }} reverse {{ end }}
    {{ with .textMedia.short }} short {{ end }}
  ">

    <div class="text" data-scroll data-scroll-class="in-view">
      {{ with .textMedia.title }}
        <h2>{{ . }}</h2>
      {{ end }}

      {{ if eq "content-text" $text.type }}
        <p>{{ $text.text | markdownify }}</p>
      {{ end }}

      {{ if eq "content-contact" $text.type }}
        <div class="contact">
          <span class="title">{{ $text.title }}</span>
          <span class="title title-sub">{{ $text.subTitle }}</span>
          <p>{{ $text.rest | markdownify }}</p>
          <span>Phone: <a href="tel:{{ $text.phoneLink }}">{{ $text.phone }}</a></span>
          <span>E-Mail: <a href="mailto:{{ $text.mail }}">{{ $text.mail }}</a></span>
        </div>
      {{ end }}
    </div>

    <div class="media" data-scroll data-scroll-class="in-view" data-scroll-speed="1">
      {{ if eq "image" $media.type }}
        <div class="image">
          <img src="{{ $media.imgSrc }}" alt="{{ $media.alt }}">
        </div>
      {{ end }}

      {{ if eq "video" $media.type }}
        <div class="video">
          <video src="{{ $media.videoSrc }}" muted autoplay loop playsinline disablePictureInPicture>
        </div>
      {{ end }}

      {{ if eq "gallery" $media.type }}
        <div class="gallery">
          {{ range $media.images }}
            <a href="{{ .image.lightbox.imgSrc }}" class="glightbox">
              <img src="{{ .image.preview.imgSrc }}" alt="{{ .image.preview.alt }}">
            </a>
          {{ end }}
        </div>
      {{ end }}
    </div>

  </div>
</div>
